package com.sztzjy.money_management.entity;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
/**
 * 投资规划-产品选择表
 *
 * @author xcj
 * case_investment_plan_select
 */
public class CaseInvestmentPlanSelect {
    @ApiModelProperty("产品选择ID")
    private String productSelectId;

    @ApiModelProperty("案例-投资规划id")
    private String caseInvestmentPlanId;

    @ApiModelProperty("投资收益率(仅在案例题model为客户案例时此字段生效)")
    private BigDecimal returnOnInvestment;

    @ApiModelProperty("保险需求额度")
    private BigDecimal insuranceDemandAmount;

    @ApiModelProperty("保险费用预算")
    private BigDecimal insuranceCostBudget;

    @ApiModelProperty("产品组合预期年化收益率")
    private BigDecimal productCombinationExpectedAnnualReturn;

    @ApiModelProperty("产品组合总投资金额")
    private BigDecimal productCombinationTotalInvestmentAmount;

    @ApiModelProperty("产品组合总保额")
    private BigDecimal productCombinationTotalCoverage;

    @ApiModelProperty("产品组合总保费")
    private BigDecimal productCombinationTotalPremium;

    @ApiModelProperty("规划目标")
    private String planningGoal;

    public String getProductSelectId() {
        return productSelectId;
    }

    public void setProductSelectId(String productSelectId) {
        this.productSelectId = productSelectId == null ? null : productSelectId.trim();
    }

    public String getCaseInvestmentPlanId() {
        return caseInvestmentPlanId;
    }

    public void setCaseInvestmentPlanId(String caseInvestmentPlanId) {
        this.caseInvestmentPlanId = caseInvestmentPlanId == null ? null : caseInvestmentPlanId.trim();
    }

    public BigDecimal getReturnOnInvestment() {
        return returnOnInvestment;
    }

    public void setReturnOnInvestment(BigDecimal returnOnInvestment) {
        this.returnOnInvestment = returnOnInvestment;
    }

    public BigDecimal getInsuranceDemandAmount() {
        return insuranceDemandAmount;
    }

    public void setInsuranceDemandAmount(BigDecimal insuranceDemandAmount) {
        this.insuranceDemandAmount = insuranceDemandAmount;
    }

    public BigDecimal getInsuranceCostBudget() {
        return insuranceCostBudget;
    }

    public void setInsuranceCostBudget(BigDecimal insuranceCostBudget) {
        this.insuranceCostBudget = insuranceCostBudget;
    }

    public BigDecimal getProductCombinationExpectedAnnualReturn() {
        return productCombinationExpectedAnnualReturn;
    }

    public void setProductCombinationExpectedAnnualReturn(BigDecimal productCombinationExpectedAnnualReturn) {
        this.productCombinationExpectedAnnualReturn = productCombinationExpectedAnnualReturn;
    }

    public BigDecimal getProductCombinationTotalInvestmentAmount() {
        return productCombinationTotalInvestmentAmount;
    }

    public void setProductCombinationTotalInvestmentAmount(BigDecimal productCombinationTotalInvestmentAmount) {
        this.productCombinationTotalInvestmentAmount = productCombinationTotalInvestmentAmount;
    }

    public BigDecimal getProductCombinationTotalCoverage() {
        return productCombinationTotalCoverage;
    }

    public void setProductCombinationTotalCoverage(BigDecimal productCombinationTotalCoverage) {
        this.productCombinationTotalCoverage = productCombinationTotalCoverage;
    }

    public BigDecimal getProductCombinationTotalPremium() {
        return productCombinationTotalPremium;
    }

    public void setProductCombinationTotalPremium(BigDecimal productCombinationTotalPremium) {
        this.productCombinationTotalPremium = productCombinationTotalPremium;
    }

    public String getPlanningGoal() {
        return planningGoal;
    }

    public void setPlanningGoal(String planningGoal) {
        this.planningGoal = planningGoal == null ? null : planningGoal.trim();
    }
}