package com.sztzjy.money_management.entity;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
/**
 * 案例税务筹划表
 *
 * @author xcj
 * case_tax_plan
 */
public class CaseTaxPlan {
    @ApiModelProperty("案例-税务筹划id")
    private String caseTaxPlanId;

    private String caseid;

    @ApiModelProperty("工资、薪金所得")
    private BigDecimal salary;

    @ApiModelProperty("工资、薪金所得税")
    private BigDecimal salaryTax;

    @ApiModelProperty("个体工商户的生产、经营所得")
    private BigDecimal operatingRevenue;

    @ApiModelProperty("个体工商户的生产、经营所得税")
    private BigDecimal operatingRevenueTax;

    @ApiModelProperty("对企事业单位承包、承租经营所得")
    private BigDecimal enterprisesRevenue;

    @ApiModelProperty("对企事业单位承包、承租经营所得税")
    private BigDecimal enterprisesRevenueTax;

    @ApiModelProperty("劳务报酬所得")
    private BigDecimal serviceIncome;

    @ApiModelProperty("劳务报酬所得税")
    private BigDecimal serviceIncomeTax;

    @ApiModelProperty("稿酬所得")
    private BigDecimal remuneration;

    @ApiModelProperty("稿酬所得税")
    private BigDecimal remunerationTax;

    @ApiModelProperty("特许权使用费所得")
    private BigDecimal loyalities;

    @ApiModelProperty("特许权使用费所得税")
    private BigDecimal loyalitiesTax;

    @ApiModelProperty("财产转让所得")
    private BigDecimal demise;

    @ApiModelProperty("财产转让所得税")
    private BigDecimal demiseTax;

    @ApiModelProperty("偶然所得")
    private BigDecimal incidentalIncome;

    @ApiModelProperty("偶然所得税")
    private BigDecimal incidentalIncomeTax;

    @ApiModelProperty("利息、红利、股利所得")
    private BigDecimal interest;

    @ApiModelProperty("利息、红利、股利所得税")
    private BigDecimal interestTax;

    @ApiModelProperty("合计")
    private BigDecimal totalAmount;

    @ApiModelProperty("合计税")
    private BigDecimal totalTax;

    @ApiModelProperty("用户ID")
    private String userId;

    @ApiModelProperty("学生答案/题目答案")
    private String isAnswer;

    @ApiModelProperty("税收筹划分析老师评分")
    private BigDecimal analysisTeacherScore;

    @ApiModelProperty("税收筹划分析")
    private String analysis;

    public String getCaseTaxPlanId() {
        return caseTaxPlanId;
    }

    public void setCaseTaxPlanId(String caseTaxPlanId) {
        this.caseTaxPlanId = caseTaxPlanId == null ? null : caseTaxPlanId.trim();
    }

    public String getCaseid() {
        return caseid;
    }

    public void setCaseid(String caseid) {
        this.caseid = caseid == null ? null : caseid.trim();
    }

    public BigDecimal getSalary() {
        return salary;
    }

    public void setSalary(BigDecimal salary) {
        this.salary = salary;
    }

    public BigDecimal getSalaryTax() {
        return salaryTax;
    }

    public void setSalaryTax(BigDecimal salaryTax) {
        this.salaryTax = salaryTax;
    }

    public BigDecimal getOperatingRevenue() {
        return operatingRevenue;
    }

    public void setOperatingRevenue(BigDecimal operatingRevenue) {
        this.operatingRevenue = operatingRevenue;
    }

    public BigDecimal getOperatingRevenueTax() {
        return operatingRevenueTax;
    }

    public void setOperatingRevenueTax(BigDecimal operatingRevenueTax) {
        this.operatingRevenueTax = operatingRevenueTax;
    }

    public BigDecimal getEnterprisesRevenue() {
        return enterprisesRevenue;
    }

    public void setEnterprisesRevenue(BigDecimal enterprisesRevenue) {
        this.enterprisesRevenue = enterprisesRevenue;
    }

    public BigDecimal getEnterprisesRevenueTax() {
        return enterprisesRevenueTax;
    }

    public void setEnterprisesRevenueTax(BigDecimal enterprisesRevenueTax) {
        this.enterprisesRevenueTax = enterprisesRevenueTax;
    }

    public BigDecimal getServiceIncome() {
        return serviceIncome;
    }

    public void setServiceIncome(BigDecimal serviceIncome) {
        this.serviceIncome = serviceIncome;
    }

    public BigDecimal getServiceIncomeTax() {
        return serviceIncomeTax;
    }

    public void setServiceIncomeTax(BigDecimal serviceIncomeTax) {
        this.serviceIncomeTax = serviceIncomeTax;
    }

    public BigDecimal getRemuneration() {
        return remuneration;
    }

    public void setRemuneration(BigDecimal remuneration) {
        this.remuneration = remuneration;
    }

    public BigDecimal getRemunerationTax() {
        return remunerationTax;
    }

    public void setRemunerationTax(BigDecimal remunerationTax) {
        this.remunerationTax = remunerationTax;
    }

    public BigDecimal getLoyalities() {
        return loyalities;
    }

    public void setLoyalities(BigDecimal loyalities) {
        this.loyalities = loyalities;
    }

    public BigDecimal getLoyalitiesTax() {
        return loyalitiesTax;
    }

    public void setLoyalitiesTax(BigDecimal loyalitiesTax) {
        this.loyalitiesTax = loyalitiesTax;
    }

    public BigDecimal getDemise() {
        return demise;
    }

    public void setDemise(BigDecimal demise) {
        this.demise = demise;
    }

    public BigDecimal getDemiseTax() {
        return demiseTax;
    }

    public void setDemiseTax(BigDecimal demiseTax) {
        this.demiseTax = demiseTax;
    }

    public BigDecimal getIncidentalIncome() {
        return incidentalIncome;
    }

    public void setIncidentalIncome(BigDecimal incidentalIncome) {
        this.incidentalIncome = incidentalIncome;
    }

    public BigDecimal getIncidentalIncomeTax() {
        return incidentalIncomeTax;
    }

    public void setIncidentalIncomeTax(BigDecimal incidentalIncomeTax) {
        this.incidentalIncomeTax = incidentalIncomeTax;
    }

    public BigDecimal getInterest() {
        return interest;
    }

    public void setInterest(BigDecimal interest) {
        this.interest = interest;
    }

    public BigDecimal getInterestTax() {
        return interestTax;
    }

    public void setInterestTax(BigDecimal interestTax) {
        this.interestTax = interestTax;
    }

    public BigDecimal getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(BigDecimal totalAmount) {
        this.totalAmount = totalAmount;
    }

    public BigDecimal getTotalTax() {
        return totalTax;
    }

    public void setTotalTax(BigDecimal totalTax) {
        this.totalTax = totalTax;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId == null ? null : userId.trim();
    }

    public String getIsAnswer() {
        return isAnswer;
    }

    public void setIsAnswer(String isAnswer) {
        this.isAnswer = isAnswer == null ? null : isAnswer.trim();
    }

    public BigDecimal getAnalysisTeacherScore() {
        return analysisTeacherScore;
    }

    public void setAnalysisTeacherScore(BigDecimal analysisTeacherScore) {
        this.analysisTeacherScore = analysisTeacherScore;
    }

    public String getAnalysis() {
        return analysis;
    }

    public void setAnalysis(String analysis) {
        this.analysis = analysis == null ? null : analysis.trim();
    }
}